/*
 * Key Map Editor Menus
 *
 * by: Tim Friest
 * on: December 31, 1988
 * using: Power Windows v2.5
 */

/*
 * Define the Options Menu
 */

struct IntuiText OptionsIText5 = {
	3,1,COMPLEMENT,	/* frontpen, backpen, and drawmode */
	19,0,	/* origin */
	NULL,	/* font */
	"Clear",	/* text */
	NULL	/* next IntuiText */
};

struct MenuItem OptionsMenuItem5 = {
	NULL,	/* next MenuItem */
	0,32,	/* origin of Item hitbox relative to parent */
	67,8,	/* hit box width and height */
	CHECKIT|ITEMTEXT|ITEMENABLED|HIGHCOMP,	/* flags */
	~(1<<4),	/* mutual-exclude bits */
	(APTR)&OptionsIText5,	/* Item render */
	NULL,	/* Select render */
	NULL,	/* command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* next select */
};

struct IntuiText OptionsIText4 = {
	3,1,COMPLEMENT,	/* frontpen, backpen, and drawmode */
	19,0,	/* origin */
	NULL,	/* font */
	"Swap",	/* text */
	NULL	/* next IntuiText */
};

struct MenuItem OptionsMenuItem4 = {
	&OptionsMenuItem5,	/* next MenuItem */
	0,24,	/* origin of Item hitbox relative to parent */
	67,8,	/* hit box width and height */
	CHECKIT|ITEMTEXT|ITEMENABLED|HIGHCOMP,	/* flags */
	~(1<<3),	/* mutual-exclude bits */
	(APTR)&OptionsIText4,	/* Item render */
	NULL,	/* Select render */
	NULL,	/* command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* next select */
};

struct IntuiText OptionsIText3 = {
	3,1,COMPLEMENT,	/* frontpen, backpen, and drawmode */
	19,0,	/* origin */
	NULL,	/* font */
	"Move",	/* text */
	NULL	/* next IntuiText */
};

struct MenuItem OptionsMenuItem3 = {
	&OptionsMenuItem4,	/* next MenuItem */
	0,16,	/* origin of Item hitbox relative to parent */
	67,8,	/* hit box width and height */
	CHECKIT|ITEMTEXT|ITEMENABLED|HIGHCOMP,	/* flags */
	~(1<<2),	/* mutual-exclude bits */
	(APTR)&OptionsIText3,	/* Item render */
	NULL,	/* Select render */
	NULL,	/* command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* next select */
};

struct IntuiText OptionsIText2 = {
	3,1,COMPLEMENT,	/* frontpen, backpen, and drawmode */
	19,0,	/* origin */
	NULL,	/* font */
	"Copy",	/* text */
	NULL	/* next IntuiText */
};

struct MenuItem OptionsMenuItem2 = {
	&OptionsMenuItem3,	/* next MenuItem */
	0,8,	/* origin of Item hitbox relative to parent */
	67,8,	/* hit box width and height */
	CHECKIT|ITEMTEXT|ITEMENABLED|HIGHCOMP,	/* flags */
	~(1<<1),	/* mutual-exclude bits */
	(APTR)&OptionsIText2,	/* Item render */
	NULL,	/* Select render */
	NULL,	/* command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* next select */
};

struct IntuiText OptionsIText1 = {
	3,1,COMPLEMENT,	/* frontpen, backpen, and drawmode */
	19,0,	/* origin */
	NULL,	/* font */
	"Define",	/* text */
	NULL	/* next IntuiText */
};

struct MenuItem OptionsMenuItem1 = {
	&OptionsMenuItem2,	/* next MenuItem */
	0,0,	/* origin of Item hitbox relative to parent */
	67,8,	/* hit box width and height */
	CHECKIT|ITEMTEXT|ITEMENABLED|HIGHCOMP|CHECKED,	/* flags */
	~(1<<0),	/* mutual-exclude bits */
	(APTR)&OptionsIText1,	/* Item render */
	NULL,	/* Select render */
	NULL,	/* command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* next select */
};

struct Menu OptionsMenu = {
	NULL,	/* next Menu */
	70,0,	/* origin of hit box */
	63,0,	/* hit box width and height */
	MENUENABLED,	/* flags */
	"Options",	/* text */
	&OptionsMenuItem1	/* MenuItem list */
};

/*
 * Define the Project Menu
 */

struct IntuiText ProjectIText5 = {
	3,1,COMPLEMENT,	/* frontpen, backpen, and drawmode */
	0,0,	/* origin */
	NULL,	/* font */
	"Quit",	/* text */
	NULL	/* next IntuiText */
};

struct MenuItem ProjectMenuItem5 = {
	NULL,	/* next MenuItem */
	0,32,	/* origin of Item hitbox relative to parent */
	72,8,	/* hit box width and height */
	ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHCOMP,	/* flags */
	0,	/* mutual-exclude bits */
	(APTR)&ProjectIText5,	/* Item render */
	NULL,	/* Select render */
	'Q',	/* command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* next select */
};

struct IntuiText CreditsIText2 = {
	3,1,COMPLEMENT,	/* frontpen, backpen, and drawmode */
	0,16,	/* origin */
	NULL,	/* font */
	"March 1989",	/* text */
	NULL	/* next IntuiText */
};

struct IntuiText CreditsIText1 = {
	3,1,COMPLEMENT,	/* frontpen, backpen, and drawmode */
	0,8,	/* origin */
	NULL,	/* font */
	"By Tim Friest",	/* text */
	&CreditsIText2	/* next IntuiText */
};

struct IntuiText CreditsIText0 = {
	3,1,COMPLEMENT,	/* frontpen, backpen, and drawmode */
	0,0,	/* origin */
	NULL,	/* font */
	KeyMapEdVer,	/* text */
	&CreditsIText1	/* next IntuiText */
};

struct MenuItem CreditsMenuItem0 = {
	NULL,	/* next MenuItem */
	70,0,	/* origin of Item hitbox relative to parent */
	155,24,	/* hit box width and height */
	ITEMTEXT|ITEMENABLED|HIGHNONE,	/* flags */
	0,	/* mutual-exclude bits */
	(APTR)&CreditsIText0,	/* Item render */
	NULL,	/* Select render */
	NULL,	/* command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* next select */
};

struct IntuiText ProjectIText4 = {
	3,1,COMPLEMENT,	/* frontpen, backpen, and drawmode */
	0,0,	/* origin */
	NULL,	/* font */
	"Credits",	/* text */
	NULL	/* next IntuiText */
};

struct MenuItem ProjectMenuItem4 = {
	&ProjectMenuItem5,	/* next MenuItem */
	0,24,	/* origin of Item hitbox relative to parent */
	72,8,	/* hit box width and height */
	ITEMTEXT|ITEMENABLED|HIGHCOMP,	/* flags */
	0,	/* mutual-exclude bits */
	(APTR)&ProjectIText4,	/* Item render */
	NULL,	/* Select render */
	'C',	/* command-key */
	&CreditsMenuItem0,	/* SubItem list */
	MENUNULL	/* next select */
};

struct IntuiText ProjectIText3 = {
	3,1,COMPLEMENT,	/* frontpen, backpen, and drawmode */
	0,0,	/* origin */
	NULL,	/* font */
	"Save",	/* text */
	NULL	/* next IntuiText */
};

struct MenuItem ProjectMenuItem3 = {
	&ProjectMenuItem4,	/* next MenuItem */
	0,16,	/* origin of Item hitbox relative to parent */
	72,8,	/* hit box width and height */
	ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHCOMP,	/* flags */
	0,	/* mutual-exclude bits */
	(APTR)&ProjectIText3,	/* Item render */
	NULL,	/* Select render */
	'S',	/* command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* next select */
};

struct IntuiText ProjectIText2 = {
	3,1,COMPLEMENT,	/* frontpen, backpen, and drawmode */
	0,0,	/* origin */
	NULL,	/* font */
	"New",	/* text */
	NULL	/* next IntuiText */
};

struct MenuItem ProjectMenuItem2 = {
	&ProjectMenuItem3,	/* next MenuItem */
	0,8,	/* origin of Item hitbox relative to parent */
	72,8,	/* hit box width and height */
	ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHCOMP,	/* flags */
	0,	/* mutual-exclude bits */
	(APTR)&ProjectIText2,	/* Item render */
	NULL,	/* Select render */
	'N',	/* command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* next select */
};

struct IntuiText ProjectIText1 = {
	3,1,COMPLEMENT,	/* frontpen, backpen, and drawmode */
	0,0,	/* origin */
	NULL,	/* font */
	"Load",	/* text */
	NULL	/* next IntuiText */
};

struct MenuItem ProjectMenuItem1 = {
	&ProjectMenuItem2,	/* next MenuItem */
	0,0,	/* origin of Item hitbox relative to parent */
	72,8,	/* hit box width and height */
	ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHCOMP,	/* flags */
	0,	/* mutual-exclude bits */
	(APTR)&ProjectIText1,	/* Item render */
	NULL,	/* Select render */
	'L',	/* command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* next select */
};

struct Menu ProjectMenu = {
	&OptionsMenu,	/* next Menu */
	0,0,	/* origin of hit box */
	63,0,	/* hit box width and height */
	MENUENABLED,	/* flags */
	"Project",	/* text */
	&ProjectMenuItem1	/* MenuItem list */
};

#define MenuList &ProjectMenu
