/*
 *	Replace non-portable assembly assist routines lclr()
 *	and lcpy() with portable, albeit possibly slightly slower
 *	versions.
 */

void lclr (ptr, lcount)
long *ptr;
int lcount;
{
	while (lcount-- > 0) {
		*ptr++ = 0;
	}
}

void lcpy (out, in, lcount)
long *out;
long *in;
int lcount;
{
	while (lcount-- > 0) {
		*out++ = *in++;
	}
}
